using System;
using System.Collections.Generic;
using System.Text;

namespace osztaly
{
    public sealed class SzrmaztatottOsztly : sosztly
    {
        public SzrmaztatottOsztly()
            : base("Milyen szp nap van ma : ") // az sosztly pldnyt konstans vltozval paramterezett konstruktornak meghvsval hozzuk ltre
        {
            ++sosztly.counter; // static adattag elrse az osztly objektumon keresztl
        }
        protected sealed override string szovegKerites()
        {
            return "--> {0} <--";
        }
        public sealed override void konkatMaiNap()
        {
            base.Szoveg = System.String.Format(this.szovegKerites(), base.Szoveg + sosztly.milyenNapVan() + " (" + System.DateTime.Now.ToString("d") + ")"); // base - az sosztly specifikcijnak megfelel adattagot, vagy metdust szeretnnk elrni, this - szoksos; polimorfizmus)
        }
        public static int Counter
        {
            get
            {
                return sosztly.counter;
            }
        }
    }
}
